PtmConfig Class Reference
OpenCSD Library : Trace Source Protocol Configuration.

Interpreter class for PTM Hardware configuration. More...

`#include <trc_cmp_cfg_ptm.h>`

Inheritance diagram for PtmConfig:
[legend]
Collaboration diagram for PtmConfig:
[legend]

## Public Member Functions

| PtmConfig ()
| PtmConfig (const ocsd_ptm_cfg *cfg_regs)
| ~PtmConfig ()
| operator const ocsd_ptm_cfg & () const
| cast operator returning struct const reference More...
| operator const ocsd_ptm_cfg * () const
| cast operator returning struct const pointer More...
const int | CtxtIDBytes () const
| number of context ID bytes traced 1,2,4; More...
const ocsd_core_profile_t & | coreProfile () const
const ocsd_arch_version_t & | archVersion () const
PTM configuration
PtmConfig & | operator= (const ocsd_ptm_cfg *p_cfg)
| copy assignment operator for base structure into class. More...
const bool | enaBranchBCast () const
| Branch broadcast enabled. More...
const bool | enaCycleAcc () const
| cycle accurate tracing enabled. More...
const bool | enaRetStack () const
| return stack enabled. More...
const bool | hasRetStack () const
| return stack implemented. More...
const int | MinorRev () const
| return X revision in 1.X More...
const bool | hasTS () const
| Timestamps implemented in trace. More...
const bool | enaTS () const
| Timestamp trace is enabled. More...
const bool | TSPkt64 () const
| timestamp packet is 64 bits in size. More...
const bool | TSBinEnc () const
| Timestamp encoded as natural binary number. More...
const bool | hasVirtExt () const
| processor has virtualisation extensions. More...
const bool | enaVMID () const
| VMID tracing enabled. More...
const bool | dmsbGenTS () const
| TS generated for DMB and DSB. More...
const bool | dmsbWayPt () const
| DMB and DSB are waypoint instructions. More...
virtual const uint8_t | getTraceID () const
| CoreSight Trace ID for this device. More...
Public Member Functions inherited from CSConfig
| CSConfig ()
virtual | ~CSConfig ()

## Static Public Attributes

static const uint32_t | CTRL_BRANCH_BCAST = (0x1 << 8)
static const uint32_t | CTRL_CYCLEACC = (0x1 << 12)
static const uint32_t | CTRL_TS_ENA = (0x1 << 28)
static const uint32_t | CTRL_RETSTACK_ENA = (0x1 << 29)
static const uint32_t | CTRL_VMID_ENA = (0x1 << 30)
static const uint32_t | CCER_TS_IMPL = (0x1 << 22)
static const uint32_t | CCER_RESTACK_IMPL = (0x1 << 23)
static const uint32_t | CCER_DMSB_WPT = (0x1 << 24)
static const uint32_t | CCER_TS_DMSB = (0x1 << 25)
static const uint32_t | CCER_VIRTEXT = (0x1 << 26)
static const uint32_t | CCER_TS_ENC_NAT = (0x1 << 28)
static const uint32_t | CCER_TS_64BIT = (0x1 << 29)

## Detailed Description

Interpreter class for PTM Hardware configuration.

Provides quick value interpretation methods for the PTM config register values. Primarily inlined for efficient code.

Definition at line 62 of file trc_cmp_cfg_ptm.h.

## Constructor & Destructor Documentation

## PtmConfig() [1/2]

PtmConfig::PtmConfig | ( |  | ) |

Default constructor

## PtmConfig() [2/2]

PtmConfig::PtmConfig | ( | const ocsd_ptm_cfg * | cfg_regs | ) |

## ~PtmConfig()

PtmConfig::~PtmConfig | ( |  | ) |

inline

Definition at line 67 of file trc_cmp_cfg_ptm.h.

## Member Function Documentation

## archVersion()

const ocsd_arch_version_t& PtmConfig::archVersion | ( |  | ) | const

inline

Definition at line 119 of file trc_cmp_cfg_ptm.h.

## coreProfile()

const ocsd_core_profile_t& PtmConfig::coreProfile | ( |  | ) | const

inline

Definition at line 118 of file trc_cmp_cfg_ptm.h.

## CtxtIDBytes()

const int PtmConfig::CtxtIDBytes | ( |  | ) | const

number of context ID bytes traced 1,2,4;

## operator const ocsd_ptm_cfg &()

PtmConfig::operator const ocsd_ptm_cfg & | ( |  | ) | const

inline

cast operator returning struct const reference

Definition at line 90 of file trc_cmp_cfg_ptm.h.

## operator const ocsd_ptm_cfg *()

PtmConfig::operator const ocsd_ptm_cfg * | ( |  | ) | const

inline

cast operator returning struct const pointer

Definition at line 92 of file trc_cmp_cfg_ptm.h.

## Member Data Documentation

## CCER_DMSB_WPT

const uint32_t PtmConfig::CCER_DMSB_WPT = (0x1 << 24)

static

Definition at line 78 of file trc_cmp_cfg_ptm.h.

## CCER_RESTACK_IMPL

const uint32_t PtmConfig::CCER_RESTACK_IMPL = (0x1 << 23)

static

Definition at line 77 of file trc_cmp_cfg_ptm.h.

## CCER_TS_64BIT

const uint32_t PtmConfig::CCER_TS_64BIT = (0x1 << 29)

static

Definition at line 82 of file trc_cmp_cfg_ptm.h.

## CCER_TS_DMSB

const uint32_t PtmConfig::CCER_TS_DMSB = (0x1 << 25)

static

Definition at line 79 of file trc_cmp_cfg_ptm.h.

## CCER_TS_ENC_NAT

const uint32_t PtmConfig::CCER_TS_ENC_NAT = (0x1 << 28)

static

Definition at line 81 of file trc_cmp_cfg_ptm.h.

## CCER_TS_IMPL

const uint32_t PtmConfig::CCER_TS_IMPL = (0x1 << 22)

static

Definition at line 76 of file trc_cmp_cfg_ptm.h.

## CCER_VIRTEXT

const uint32_t PtmConfig::CCER_VIRTEXT = (0x1 << 26)

static

Definition at line 80 of file trc_cmp_cfg_ptm.h.

## CTRL_BRANCH_BCAST

const uint32_t PtmConfig::CTRL_BRANCH_BCAST = (0x1 << 8)

static

Default destructor

Definition at line 70 of file trc_cmp_cfg_ptm.h.

## CTRL_CYCLEACC

const uint32_t PtmConfig::CTRL_CYCLEACC = (0x1 << 12)

static

Definition at line 71 of file trc_cmp_cfg_ptm.h.

## CTRL_RETSTACK_ENA

const uint32_t PtmConfig::CTRL_RETSTACK_ENA = (0x1 << 29)

static

Definition at line 73 of file trc_cmp_cfg_ptm.h.

## CTRL_TS_ENA

const uint32_t PtmConfig::CTRL_TS_ENA = (0x1 << 28)

static

Definition at line 72 of file trc_cmp_cfg_ptm.h.

## CTRL_VMID_ENA

const uint32_t PtmConfig::CTRL_VMID_ENA = (0x1 << 30)

static

Definition at line 74 of file trc_cmp_cfg_ptm.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/opencsd/ptm/trc_cmp_cfg_ptm.h